OnlyFans API
FanslyConnect Fansly Account

Start Authentication

Start the authentication process for a new Fansly account using the account's username (or email) and password. If Fansly requires verification, the response status will indicate a pending challenge — either an emailed code (new IP) or an authenticator-app code — which you submit via the Submit 2FA endpoint. Credentials are stored securely and encrypted at rest.

POST
/api/fansly/authenticate
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Request Body

application/json

name?string

A display name for the account. If omitted, defaults to the username.

username*string

The Fansly username or email used to sign in.

password*string

The Fansly account password.

proxyCountry?string

The country of the managed proxy server you want to use. Eg. "us" for United States. Cannot be used together with customProxy.

Value in"us" | "uk"
customProxy?

Custom proxy configuration. Cannot be used together with proxyCountry.

force_connect?boolean

Set to true to connect the account even if it already exists

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/fansly/authenticate" \  -H "Content-Type: application/json" \  -d '{    "username": "incidunt",    "password": "T{$k6he2Fqe4o7ty>C*"  }'
{
  "account_id": "fansly_acct_123",
  "message": "Authentication process started. Query the polling_url to check the progress.",
  "polling_url": "https://api.example.com/api/fansly/authenticate/fansly_acct_123"
}